Не запускается openshot

Openshot не запускается
Помогите
[l@archlinux ~]$ openshot-qt
Loaded modules from: /usr/lib/python3.11/site-packages/openshot_qt
INFO sentry: No sentry_sdk module detected (error reporting is disabled)
INFO app: ------------------------------------------------
INFO app:             Sat Sep 23 20:09:57 2023
INFO app:               Starting new session
ERROR app: OpenShotApp::Import Error
Traceback (most recent call last):
  File "/usr/lib/python3.11/site-packages/openshot_qt/classes/app.py", line 100, in __init__
    from classes import settings, project_data, updates, sentry
  File "/usr/lib/python3.11/site-packages/openshot_qt/classes/project_data.py", line 48, in <module>
    import openshot
  File "/usr/lib/python3.11/site-packages/openshot.py", line 12, in <module>
    import _openshot
ImportError: /usr/lib/libopenshot.so.25: undefined symbol: _ZN6google8protobuf8internal17AssignDescriptorsEPFPKNS1_15DescriptorTableEvEPN4absl12lts_202301259once_flagERKNS0_8MetadataE
Traceback (most recent call last):
  File "/usr/lib/python3.11/site-packages/openshot_qt/launch.py", line 196, in main
    app = OpenShotApp(argv)
          ^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/openshot_qt/classes/app.py", line 100, in __init__
    from classes import settings, project_data, updates, sentry
  File "/usr/lib/python3.11/site-packages/openshot_qt/classes/project_data.py", line 48, in <module>
    import openshot
  File "/usr/lib/python3.11/site-packages/openshot.py", line 12, in <module>
    import _openshot
ImportError: /usr/lib/libopenshot.so.25: undefined symbol: _ZN6google8protobuf8internal17AssignDescriptorsEPFPKNS1_15DescriptorTableEvEPN4absl12lts_202301259once_flagERKNS0_8MetadataE

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/openshot-qt", line 8, in <module>
    sys.exit(main())
             ^^^^^^
  File "/usr/lib/python3.11/site-packages/openshot_qt/launch.py", line 198, in main
    app.show_errors()
    ^^^^^^^^^^^^^^^
AttributeError: 'NoneType' object has no attribute 'show_errors'
INFO app:             OpenShot's session ended
INFO app:             Sat Sep 23 20:09:57 2023
INFO app: ================================================
[l@archlinux ~]$
Это битый пакет в репах.
Надо писать сопровождающему пакета как минимум.
Пакет Applimage оф. сайта точно такой же и также не запускается.
pci
Пакет Applimage оф. сайта точно такой же и также не запускается.
Это уже интереснее, тогда писать автору.
Если так сильно нужно, попробуй поставить с AUR.
Поставил через yay, все аналогично, тот же вывод
Месяц назад ставил систему на другой комп, опеншот запускался. Видимо, какие-то обновления или что-то такое
pci
Видимо, какие-то обновления или что-то такое
Если проблема даже с Applimage, который всё нужное в себе, система как бы тут уже не приделах.
Получается, что Applimage, что установленный требуют другие пакеты- из папки Python. Которых или нет, или не такие.
File "/usr/lib/python3.11/site-packages/openshot_qt/classes/app.py", line 100, in __init__
from classes import settings, project_data, updates, sentry
File "/usr/lib/python3.11/site-packages/openshot_qt/classes/project_data.py", line 48, in <module>
import openshot
File "/usr/lib/python3.11/site-packages/openshot.py", line 12, in <module>
import _openshot
Бегло поискал на BBS - есть один топик ... правда там жалобы, что нет звука ...
Ошибки не исчезают с опытом - они просто умнеют
pci
Получается, что Applimage, что установленный требуют другие пакеты- из папки Python. Которых или нет, или не такие.
Ты видимо не до конца понял, Applimage - это самодостаточный пакет, ему ничего не нужно.
 
Зарегистрироваться или войдите чтобы оставить сообщение.